/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLInputElement_H___INT_
#define __GdomHTMLInputElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLInputElement.h"
G_BEGIN_DECLS
class GDOMHTMLInputElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_INPUT_ELEMENT; }
    GDOMHTMLInputElement(PassRefPtr<WebCore::HTMLInputElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLInputElement_H___INT_*/
